<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
    <ImageView
        android:id="@+id/Background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:scaleType="centerCrop"
        android:src="@drawable/fog_background"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:clickable="true"
            tools:context=".ui.Credits.CreditsFragment">

            <ImageView
                android:id="@drawable/backgroundoverlay"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginStart="-25dp"
                android:layout_marginLeft="-25dp"
                android:layout_marginTop="-25dp"
                android:layout_marginEnd="-25dp"
                android:layout_marginRight="-25dp"
                android:layout_marginBottom="-25dp"
                android:scaleType="centerCrop"
                android:src="@drawable/backgroundoverlay"
                app:layout_constraintBottom_toBottomOf="@+id/JulianK"
                app:layout_constraintEnd_toEndOf="@+id/TERAPLEX_Version"
                app:layout_constraintStart_toStartOf="@+id/TERAPLEX_Version"
                app:layout_constraintTop_toTopOf="@+id/TERAPLEX_Version" />

            <TextView
                android:id="@+id/lizenz"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="25dp"
                android:gravity="center_horizontal"
                android:text="@string/licence"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/divider6" />

            <TextView
                android:id="@+id/lizenz2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableStart="@drawable/copyright_black_24dp"
                android:gravity="center_horizontal"
                android:text=" ALL RIGHTS RESERVED"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="14sp"
                app:drawableTint="@color/mtrl_btn_text_color_selector"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/lizenz"
                android:drawableLeft="@drawable/copyright_black_24dp" />

            <TextView
                android:id="@+id/programmcode"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="25dp"
                android:gravity="center_horizontal"
                android:text="@string/appcode"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/divider9" />

            <TextView
                android:id="@+id/programmcode2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:text="www.github.com"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/programmcode" />

            <TextView
                android:id="@+id/team"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="25dp"
                android:gravity="center_horizontal"
                android:text="@string/team"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/divider5" />

            <TextView
                android:id="@+id/mail"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:text="WEBSITE: jg-cody.de/teraplex"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0.497"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/mail2" />

            <TextView
                android:id="@+id/mail2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:text="MAIL TO: info@jg-cody.de"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="14sp"
                app:layout_constraintStart_toStartOf="@+id/mail"
                app:layout_constraintTop_toBottomOf="@+id/contact2" />

            <TextView
                android:id="@+id/contact2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="25dp"
                android:gravity="center_horizontal"
                android:text="@string/contact"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/divider7" />

            <TextView
                android:id="@+id/TERAPLEX_Version"
                android:layout_width="250dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="150dp"
                android:gravity="center_horizontal"
                android:text="@string/version"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0.5"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/cooperation"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="25dp"
                android:gravity="center_horizontal"
                android:text="@string/cooperation"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/MatzeZ" />

            <TextView
                android:id="@+id/MatzeZ"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:text="Julian G. | Matze Z."
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="@+id/julianG"
                app:layout_constraintStart_toStartOf="@+id/julianG"
                app:layout_constraintTop_toBottomOf="@+id/imageView3" />

            <TextView
                android:id="@+id/JulianK"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:text="Julian K."
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="@+id/imageView5"
                app:layout_constraintHorizontal_bias="0.483"
                app:layout_constraintStart_toStartOf="@+id/imageView5"
                app:layout_constraintTop_toBottomOf="@+id/imageView5" />

            <TextView
                android:id="@+id/julianG"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:text="www.jg-cody.de"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="@+id/imageView3"
                app:layout_constraintStart_toStartOf="@+id/imageView3"
                app:layout_constraintTop_toBottomOf="@+id/team" />

            <TextView
                android:id="@+id/supporter1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:text="www.graphite-official.de"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="@+id/cooperation"
                app:layout_constraintStart_toStartOf="@+id/cooperation"
                app:layout_constraintTop_toBottomOf="@+id/cooperation" />

            <ImageView
                android:id="@+id/imageView3"
                android:layout_width="130dp"
                android:layout_height="50dp"
                android:src="@drawable/teraplex_logo"
                app:tint="@color/mtrl_btn_text_color_selector"
                app:layout_constraintEnd_toEndOf="@+id/team"
                app:layout_constraintStart_toStartOf="@+id/team"
                app:layout_constraintTop_toBottomOf="@+id/julianG" />

            <ImageView
                android:id="@+id/imageView5"
                android:layout_width="130dp"
                android:layout_height="50dp"
                android:src="@drawable/graphite_logo"
                app:layout_constraintEnd_toEndOf="@+id/supporter1"
                app:layout_constraintStart_toStartOf="@+id/supporter1"
                app:layout_constraintTop_toBottomOf="@+id/supporter1"
                app:tint="@color/mtrl_btn_text_color_selector" />

            <View
                android:id="@+id/divider5"
                android:layout_width="0dp"
                android:layout_height="2dp"
                android:layout_marginTop="25dp"
                android:background="@drawable/background_full"
                app:layout_constraintEnd_toEndOf="@+id/divider9"
                app:layout_constraintStart_toStartOf="@+id/divider9"
                app:layout_constraintTop_toBottomOf="@+id/programmcode2" />

            <View
                android:id="@+id/divider6"
                android:layout_width="0dp"
                android:layout_height="2dp"
                android:layout_marginTop="25dp"
                android:background="@drawable/background_full"
                app:layout_constraintEnd_toEndOf="@+id/TERAPLEX_Version"
                app:layout_constraintStart_toStartOf="@+id/TERAPLEX_Version"
                app:layout_constraintTop_toBottomOf="@+id/TERAPLEX_Version" />

            <View
                android:id="@+id/divider7"
                android:layout_width="0dp"
                android:layout_height="2dp"
                android:layout_marginTop="25dp"
                android:background="@drawable/background_full"
                app:layout_constraintEnd_toEndOf="@+id/divider6"
                app:layout_constraintStart_toStartOf="@+id/divider6"
                app:layout_constraintTop_toBottomOf="@+id/lizenz2" />

            <View
                android:id="@+id/divider9"
                android:layout_width="0dp"
                android:layout_height="2dp"
                android:layout_marginTop="25dp"
                android:background="@drawable/background_full"
                app:layout_constraintEnd_toEndOf="@+id/divider7"
                app:layout_constraintStart_toStartOf="@+id/divider7"
                app:layout_constraintTop_toBottomOf="@+id/mail" />

            <Space
                android:layout_width="100dp"
                android:layout_height="100dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0.5"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@+id/JulianK"
                app:layout_constraintVertical_bias="0.0" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>
</androidx.constraintlayout.widget.ConstraintLayout>